clear all;
close all;

outputpath = 'D:\MIF\Fused Image\';

    %Reading Input MIF images
    imA= imread('MIF_Image_A.jpg');
    imB= imread('MIF_Image_B.jpg');
    
    %Fused image using superpixels
    fusedImage = fusedImg(imA,imB);
    
    %Saving fused image
    baseFileName =  sprintf('MIF_Fused_Image.png');
    fullFileName = fullfile(outputpath, baseFileName);
    imwrite(uint8(fusedImage), fullFileName);
